//
//  LKFLine.swift
//  lkfc
//
//  Created by Alexander Holzer on 20.08.18.
//  Copyright © 2018 Alexander Holzer. All rights reserved.
//

import Foundation

public class LKFLine {
    let _line: String
    var _splittedLine : [String]?
    init(_ line: String) {
        _line = line
    }
    
    public var splittedLine : [String] {
        if (_splittedLine == nil) {
            _splittedLine = _line.components(separatedBy: "|")
        }
        return _splittedLine!
    }
    
    public func valueAt (index: Int) -> String {
        let sl = splittedLine
        if index < sl.count {
            return sl[index]
        }
        return ""
    }
    
    public var line : String {
        return _line
    }
}
