//
//  LKFScoringDetailsGroupMelPool.swift
//  LKF
//
//  Created by Alexander Holzer on 19.03.22.
//  Copyright © 2022 Alexander Holzer. All rights reserved.
//

import Foundation

public class LKFScoringDetailsGroupMelPool {
    public let poolIndex : Int
    public let mels : [LKFScoringDetailsGroupMelzu]
    
    init (poolIndex: Int, mels: [LKFScoringDetailsGroupMelzu]) {
        self.poolIndex = poolIndex
        self.mels = mels
    }
    
    public var traceLines : [String] {
        var s = ["Pool #\(poolIndex)"]
        for m in mels {
            s.append(contentsOf: m.traceLines)
        }
        return s
    }
}
