//
//  LKFSumIssue.swift
//  lkfc
//
//  Created by Alexander Holzer on 06.06.22.
//  Copyright © 2022 Alexander Holzer. All rights reserved.
//

import Foundation

public class LKFSumIssue {
    public let errorCode: String
    public let errorText: String
    public let count: Int
    
    public var isError : Bool {
        return errorCode.starts(with: "E")
    }
    
    init (errorCode: String, errorText: String, count: Int) {
        self.errorCode = errorCode
        self.errorText = errorText
        self.count = count
    }
}
